Loading...
Searching...
No Matches
Dune::CheckIfDiagonalPresent< MultiTypeBlockMatrix< T1, Args... >, blocklevel, l > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::CheckIfDiagonalPresent< MultiTypeBlockMatrix< T1, Args... >, blocklevel, l >:

## Public Types

typedef MultiTypeBlockMatrix< T1, Args... > | Matrix

## Static Public Member Functions

static void | check (const Matrix &)
| Check whether the a matrix has diagonal values on blocklevel recursion levels.

## Member Typedef Documentation

## Matrix

template<std::size_t blocklevel, std::size_t l, typename T1, typename... Args>

typedef MultiTypeBlockMatrix<T1,Args...> Dune::CheckIfDiagonalPresent< MultiTypeBlockMatrix< T1, Args... >, blocklevel, l >::Matrix

## Member Function Documentation

## check()

template<std::size_t blocklevel, std::size_t l, typename T1, typename... Args>

void Dune::CheckIfDiagonalPresent< MultiTypeBlockMatrix< T1, Args... >, blocklevel, l >::check | ( | const Matrix & |  | ) |

inline static

Check whether the a matrix has diagonal values on blocklevel recursion levels.

The documentation for this struct was generated from the following file:

- matrixutils.hh